--- pfqueue.c.orig	2005-02-08 12:35:05.886249056 +0100
+++ pfqueue.c	2005-02-08 12:40:22.375135432 +0100
@@ -182,7 +182,7 @@
 	char full_path[BUF_SIZE];
 	
 	if ( NUMMSG_THREAD >= MSG_MAX )
-		return 0;
+		return NULL;
 
 	bdir = opendir ( basedir );
 	while ( bdir && NUMMSG_THREAD < MSG_MAX && ( dir = readdir ( bdir ) ) ) {
@@ -213,11 +213,11 @@
 	if ( bdir )
 		closedir ( bdir );
 
-	return 0;
+	return NULL;
 }
 
 // Do thread dirty work
-void* dir_dig_start() {
+void* dir_dig_start(void *arg) {
 	char buf[BUF_SIZE];
 	int i;
 	
@@ -234,7 +234,7 @@
 		sleep ( delay_time );
 	}
 	pthread_mutex_unlock ( &dig_mutex );
-	pthread_exit(0);
+	pthread_exit(NULL);
 }
 
 // Launches the dig thread
@@ -886,9 +886,9 @@
 	NUMTAG = 0;
 	TAGGED = FALSE;
 	FIRSTMSG = 0;
-	mainwnd = 0;
-	mwndb = lwnd = mwnd = 0;
-	bline = 0;
+	mainwnd = NULL;
+	mwndb = lwnd = mwnd = NULL;
+	bline = NULL;
 
 	queue = (struct msg_t*)malloc(sizeof(struct msg_t)*MSG_MAX);
 	if ( !queue ) {
